Skip to main content
POST
/
api
/
data-platform
/
tag-evaluation-runs
curl --request POST \
  --url https://app.solya.app/api/data-platform/tag-evaluation-runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationId": "org-uuid-1234",
  "ruleIds": [
    "rule-uuid-aaa",
    "rule-uuid-bbb"
  ],
  "triggerType": "MANUAL"
}
'
{
  "id": "run-uuid-te-2d5f8c",
  "status": "PENDING",
  "triggeredAt": "2026-05-23T07:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Static internal-ops token used by the data platform and internal cron jobs (e.g. zombie-run sweep). Validated via requireBearerToken inside the handler against a service-specific environment variable.

Body

application/json
organizationId
string
required

Organization UUID that owns this run

Minimum string length: 1
triggerType
enum<string>
required

What initiated the run: MANUAL (user), SCHEDULED (cron), or API (external caller)

Available options:
MANUAL,
SCHEDULED,
API
ruleIds
string[]

Subset of tag rule IDs to evaluate; omit to evaluate all active rules for the organization

Minimum string length: 1

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true